with import <nixpkgs> {};
stdenv.mkDerivation rec {
  name = "pdfpc-${version}";
  version = "2015-04-16";

  # fetchFromGitHub doesn't include submodules
  src = fetchgit {
    url = "https://github.com/pdfpc/pdfpc.git";
    rev = "c85ecfbf20050715393f5874124be49853a5e80e";
    sha256 = "1gb0vn60f81wwz0g9ivacdiqbs5n2d64axr1pd0f3wp7mrwm34pp";
  };

  buildInputs = [ cmake gtk2 poppler librsvg vala
      pkgconfig gstreamer gst_plugins_base gnome3.libgee epoxy ]
    ++ (with xlibs; [ libxcb libXdmcp libpthreadstubs libxshmfence libxkbcommon ]);
}
